me.legofreak107.vehiclesplus.vehicles.managers

## Class CollisionManager

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.managers.CollisionManager

    public class CollisionManager
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CollisionManager(org.bukkit.entity.ArmorStand holder, StorageVehicle storageVehicle, java.util.List<Part> partList, SpawnedVehicle spawnedVehicle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkCollision()` Handle and check the current collision status
`HitBox` `getHitBox()` The defined hitbox class
`java.util.concurrent.ConcurrentHashMap<org.bukkit.Location,HitBoxSide>` `getHitBoxPoints()` Current hitbox points
`org.bukkit.entity.ArmorStand` `getHolder()` The holder armorstand
`java.util.List<Part>` `getPartList()` Part list of this vehicle
`SpawnedVehicle` `getSpawnedVehicle()` The spawned vehicle
`StorageVehicle` `getStorageVehicle()` The storage vehicle
`boolean` `isBusyChecking()`
`boolean` `isDidAction()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollisionManager

    public CollisionManager(org.bukkit.entity.ArmorStand holder,
                            StorageVehicle storageVehicle,
                            java.util.List<Part> partList,
                            SpawnedVehicle spawnedVehicle)

### Method Detail

#### checkCollision

    public void checkCollision()

Handle and check the current collision status

#### getHolder

    public org.bukkit.entity.ArmorStand getHolder()

The holder armorstand

#### getStorageVehicle

    public StorageVehicle getStorageVehicle()

The storage vehicle

#### getHitBoxPoints

    public java.util.concurrent.ConcurrentHashMap<org.bukkit.Location,HitBoxSide> getHitBoxPoints()

Current hitbox points

#### getPartList

    public java.util.List<Part> getPartList()

Part list of this vehicle

#### getSpawnedVehicle

    public SpawnedVehicle getSpawnedVehicle()

The spawned vehicle

#### getHitBox

    public HitBox getHitBox()

The defined hitbox class

#### isBusyChecking

    public boolean isBusyChecking()

#### isDidAction

    public boolean isDidAction()